GET
/api/gateway/v2/wizard/getstepsforproductGet wizard steps for a product
Query Parameters
productCategoryId*integer
Id of the product category to get the steps for.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/wizard/getstepsforproduct?productCategoryId=0"[ { "categoryId": 0, "description": "string", "kind": "Property", "remarks": "string", "displayOrder": 0, "code": "string", "items": [ { "categoryLinkPropertyId": 0, "categoryLinkId": 0, "parentWizardStepCategoryItemId": 0, "displayOrder": 0, "remarks": "string", "description": "string", "image": "string", "kind": "Property", "customCode": "string", "categoryExtraCode": "string", "children": [ { "categoryLinkPropertyId": 0, "categoryLinkId": 0, "parentWizardStepCategoryItemId": 0, "displayOrder": 0, "remarks": "string", "description": "string", "image": "string", "kind": "Property", "customCode": "string", "categoryExtraCode": "string", "children": [] } ] } ] }]{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}Status
The Status section contains all operations related to configuring the statuses of a Project.
Wizard Polygon
The WizardPolygon section contains all operations related to configuring a WizardPolygon. The WizardPolygon response contains all information needed to display a configurator based on wizard steps.